#ifndef UI_TOOLSMENU_H
#define UI_TOOLSMENU_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSlider>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_Form
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QPushButton *addFramesButton;
    QPushButton *removeFramesButton;
    QHBoxLayout *hboxLayout1;
    QPushButton *addSceneButton;
    QPushButton *removeSceneButton;
    QPushButton *cameraButton;
    QPushButton *launchGimp;
    QSpacerItem *spacerItem;
    QGroupBox *captureGroup;
    QVBoxLayout *vboxLayout1;
    QGridLayout *gridLayout;
    QComboBox *unitChooseCombo;
    QComboBox *viewChooseCombo;
    QPushButton *captureButton;
    QLabel *mixSliderCaption;
    QSlider *mixSlider;
    QGroupBox *runAnimationGroup;
    QVBoxLayout *vboxLayout2;
    QGridLayout *gridLayout1;
    QPushButton *pauseButton;
    QPushButton *stopButton;
    QPushButton *toEndButton;
    QPushButton *nextFrameButton;
    QPushButton *loopButton;
    QPushButton *playButton;
    QPushButton *previousFrameButton;
    QPushButton *toBeginningButton;
    QHBoxLayout *hboxLayout2;
    QLabel *speedChooserCaption;
    QSpacerItem *spacerItem1;
    QSpinBox *speedChooser;

    void setupUi(QWidget *Form)
    {
    Form->setObjectName(QString::fromUtf8("Form"));
    Form->resize(QSize(179, 634).expandedTo(Form->minimumSizeHint()));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(7));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(Form->sizePolicy().hasHeightForWidth());
    Form->setSizePolicy(sizePolicy);
    Form->setMinimumSize(QSize(179, 400));
    Form->setMaximumSize(QSize(179, 16777215));
    vboxLayout = new QVBoxLayout(Form);
    vboxLayout->setSpacing(2);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(2);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    addFramesButton = new QPushButton(Form);
    addFramesButton->setObjectName(QString::fromUtf8("addFramesButton"));
    addFramesButton->setIconSize(QSize(32, 32));

    hboxLayout->addWidget(addFramesButton);

    removeFramesButton = new QPushButton(Form);
    removeFramesButton->setObjectName(QString::fromUtf8("removeFramesButton"));
    removeFramesButton->setIconSize(QSize(32, 32));

    hboxLayout->addWidget(removeFramesButton);


    vboxLayout->addLayout(hboxLayout);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(2);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    addSceneButton = new QPushButton(Form);
    addSceneButton->setObjectName(QString::fromUtf8("addSceneButton"));
    addSceneButton->setIconSize(QSize(32, 32));

    hboxLayout1->addWidget(addSceneButton);

    removeSceneButton = new QPushButton(Form);
    removeSceneButton->setObjectName(QString::fromUtf8("removeSceneButton"));
    removeSceneButton->setIconSize(QSize(32, 32));

    hboxLayout1->addWidget(removeSceneButton);


    vboxLayout->addLayout(hboxLayout1);

    cameraButton = new QPushButton(Form);
    cameraButton->setObjectName(QString::fromUtf8("cameraButton"));
    cameraButton->setIconSize(QSize(32, 32));

    vboxLayout->addWidget(cameraButton);

    launchGimp = new QPushButton(Form);
    launchGimp->setObjectName(QString::fromUtf8("launchGimp"));
    launchGimp->setIconSize(QSize(32, 32));

    vboxLayout->addWidget(launchGimp);

    spacerItem = new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);

    captureGroup = new QGroupBox(Form);
    captureGroup->setObjectName(QString::fromUtf8("captureGroup"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(captureGroup->sizePolicy().hasHeightForWidth());
    captureGroup->setSizePolicy(sizePolicy1);
    vboxLayout1 = new QVBoxLayout(captureGroup);
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(9);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    unitChooseCombo = new QComboBox(captureGroup);
    unitChooseCombo->setObjectName(QString::fromUtf8("unitChooseCombo"));

    gridLayout->addWidget(unitChooseCombo, 1, 1, 1, 1);

    viewChooseCombo = new QComboBox(captureGroup);
    viewChooseCombo->setObjectName(QString::fromUtf8("viewChooseCombo"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(viewChooseCombo->sizePolicy().hasHeightForWidth());
    viewChooseCombo->setSizePolicy(sizePolicy2);

    gridLayout->addWidget(viewChooseCombo, 0, 1, 1, 1);

    captureButton = new QPushButton(captureGroup);
    captureButton->setObjectName(QString::fromUtf8("captureButton"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(4), static_cast<QSizePolicy::Policy>(0));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(captureButton->sizePolicy().hasHeightForWidth());
    captureButton->setSizePolicy(sizePolicy3);
    captureButton->setIconSize(QSize(24, 24));

    gridLayout->addWidget(captureButton, 0, 0, 1, 1);


    vboxLayout1->addLayout(gridLayout);

    mixSliderCaption = new QLabel(captureGroup);
    mixSliderCaption->setObjectName(QString::fromUtf8("mixSliderCaption"));

    vboxLayout1->addWidget(mixSliderCaption);

    mixSlider = new QSlider(captureGroup);
    mixSlider->setObjectName(QString::fromUtf8("mixSlider"));
    mixSlider->setOrientation(Qt::Horizontal);

    vboxLayout1->addWidget(mixSlider);


    vboxLayout->addWidget(captureGroup);

    runAnimationGroup = new QGroupBox(Form);
    runAnimationGroup->setObjectName(QString::fromUtf8("runAnimationGroup"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(runAnimationGroup->sizePolicy().hasHeightForWidth());
    runAnimationGroup->setSizePolicy(sizePolicy4);
    vboxLayout2 = new QVBoxLayout(runAnimationGroup);
    vboxLayout2->setSpacing(6);
    vboxLayout2->setMargin(9);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    gridLayout1 = new QGridLayout();
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(0);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    pauseButton = new QPushButton(runAnimationGroup);
    pauseButton->setObjectName(QString::fromUtf8("pauseButton"));
    QSizePolicy sizePolicy5(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy5.setHorizontalStretch(0);
    sizePolicy5.setVerticalStretch(0);
    sizePolicy5.setHeightForWidth(pauseButton->sizePolicy().hasHeightForWidth());
    pauseButton->setSizePolicy(sizePolicy5);

    gridLayout1->addWidget(pauseButton, 1, 1, 1, 1);

    stopButton = new QPushButton(runAnimationGroup);
    stopButton->setObjectName(QString::fromUtf8("stopButton"));
    QSizePolicy sizePolicy6(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy6.setHorizontalStretch(0);
    sizePolicy6.setVerticalStretch(0);
    sizePolicy6.setHeightForWidth(stopButton->sizePolicy().hasHeightForWidth());
    stopButton->setSizePolicy(sizePolicy6);

    gridLayout1->addWidget(stopButton, 1, 2, 1, 1);

    toEndButton = new QPushButton(runAnimationGroup);
    toEndButton->setObjectName(QString::fromUtf8("toEndButton"));
    QSizePolicy sizePolicy7(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy7.setHorizontalStretch(0);
    sizePolicy7.setVerticalStretch(0);
    sizePolicy7.setHeightForWidth(toEndButton->sizePolicy().hasHeightForWidth());
    toEndButton->setSizePolicy(sizePolicy7);

    gridLayout1->addWidget(toEndButton, 0, 4, 1, 1);

    nextFrameButton = new QPushButton(runAnimationGroup);
    nextFrameButton->setObjectName(QString::fromUtf8("nextFrameButton"));
    QSizePolicy sizePolicy8(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy8.setHorizontalStretch(0);
    sizePolicy8.setVerticalStretch(0);
    sizePolicy8.setHeightForWidth(nextFrameButton->sizePolicy().hasHeightForWidth());
    nextFrameButton->setSizePolicy(sizePolicy8);

    gridLayout1->addWidget(nextFrameButton, 0, 3, 1, 1);

    loopButton = new QPushButton(runAnimationGroup);
    loopButton->setObjectName(QString::fromUtf8("loopButton"));
    QSizePolicy sizePolicy9(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy9.setHorizontalStretch(0);
    sizePolicy9.setVerticalStretch(0);
    sizePolicy9.setHeightForWidth(loopButton->sizePolicy().hasHeightForWidth());
    loopButton->setSizePolicy(sizePolicy9);
    loopButton->setCheckable(true);

    gridLayout1->addWidget(loopButton, 1, 3, 1, 1);

    playButton = new QPushButton(runAnimationGroup);
    playButton->setObjectName(QString::fromUtf8("playButton"));
    QSizePolicy sizePolicy10(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy10.setHorizontalStretch(0);
    sizePolicy10.setVerticalStretch(0);
    sizePolicy10.setHeightForWidth(playButton->sizePolicy().hasHeightForWidth());
    playButton->setSizePolicy(sizePolicy10);
    playButton->setCheckable(true);

    gridLayout1->addWidget(playButton, 0, 2, 1, 1);

    previousFrameButton = new QPushButton(runAnimationGroup);
    previousFrameButton->setObjectName(QString::fromUtf8("previousFrameButton"));
    QSizePolicy sizePolicy11(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy11.setHorizontalStretch(0);
    sizePolicy11.setVerticalStretch(0);
    sizePolicy11.setHeightForWidth(previousFrameButton->sizePolicy().hasHeightForWidth());
    previousFrameButton->setSizePolicy(sizePolicy11);

    gridLayout1->addWidget(previousFrameButton, 0, 1, 1, 1);

    toBeginningButton = new QPushButton(runAnimationGroup);
    toBeginningButton->setObjectName(QString::fromUtf8("toBeginningButton"));
    QSizePolicy sizePolicy12(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy12.setHorizontalStretch(0);
    sizePolicy12.setVerticalStretch(0);
    sizePolicy12.setHeightForWidth(toBeginningButton->sizePolicy().hasHeightForWidth());
    toBeginningButton->setSizePolicy(sizePolicy12);

    gridLayout1->addWidget(toBeginningButton, 0, 0, 1, 1);


    vboxLayout2->addLayout(gridLayout1);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(0);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    speedChooserCaption = new QLabel(runAnimationGroup);
    speedChooserCaption->setObjectName(QString::fromUtf8("speedChooserCaption"));

    hboxLayout2->addWidget(speedChooserCaption);

    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem1);


    vboxLayout2->addLayout(hboxLayout2);

    speedChooser = new QSpinBox(runAnimationGroup);
    speedChooser->setObjectName(QString::fromUtf8("speedChooser"));

    vboxLayout2->addWidget(speedChooser);


    vboxLayout->addWidget(runAnimationGroup);

    retranslateUi(Form);

    QMetaObject::connectSlotsByName(Form);
    } // setupUi

    void retranslateUi(QWidget *Form)
    {
    Form->setWindowTitle(QApplication::translate("Form", "Form", 0, QApplication::UnicodeUTF8));
    addSceneButton->setText(QApplication::translate("Form", "", 0, QApplication::UnicodeUTF8));
    cameraButton->setText(QApplication::translate("Form", "", 0, QApplication::UnicodeUTF8));
    mixSliderCaption->setText(QApplication::translate("Form", "", 0, QApplication::UnicodeUTF8));
    toBeginningButton->setText(QApplication::translate("Form", "", 0, QApplication::UnicodeUTF8));
    speedChooserCaption->setText(QApplication::translate("Form", "", 0, QApplication::UnicodeUTF8));
    speedChooser->setSpecialValueText(QApplication::translate("Form", "", 0, QApplication::UnicodeUTF8));
    speedChooser->setSuffix(QApplication::translate("Form", "", 0, QApplication::UnicodeUTF8));
    speedChooser->setPrefix(QApplication::translate("Form", "", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(Form);
    } // retranslateUi

};

namespace Ui {
    class Form: public Ui_Form {};
} // namespace Ui

#endif // UI_TOOLSMENU_H
